<?php 
require_once('connect.php');

if(isset($_POST['btn-next']) || isset($_POST['btn-finalizar'])){
    $escala = $_POST['escala'];
    
    if($escala['id'] == ''){
        
        $sql = "insert into erpc_gp_escalas (ds_evento, dt_inicio, dt_fim, st_ativo) 
                    values ( '" . $escala['ds_evento'] . "'
                            ,str_to_date('" . $escala['dt_inicio'] . "', '%d/%m/%Y')
                            ,str_to_date('" . $escala['dt_fim'] . "', '%d/%m/%Y')
                            ,  1)";
        
        mysqli_query($conexao, $sql);
        $id_escala = mysqli_insert_id($conexao);
        $id_crip = base64_encode($id_escala);
        $evento = array( "id" => $id_escala
                        ,"id_crip" => $id_crip
                        ,"ds_evento" => $escala['ds_evento']
                        ,"dt_inicio" => $escala['dt_inicio']
                        ,"dt_fim" => $escala['dt_fim']
                        ,"id_setor" => $escala['id_setor']
        );
        
    }else{
        $evento = $escala;
    }
    unset($escala);
    
    $sql_colaboradores = "insert into erpc_gp_escala_colaborador (id_escala, id_setor, id_colaborador, id_funcao) values ";
    $colaboradores = $_POST['colaboradores'];
    
    
    $adicionar = false;
    $first = 1;
    foreach($colaboradores as $colaborador){
        if(isset($colaborador['id'])){
            if(!$first){
                $sql_colaboradores .= ", ";
            }
            $first = 0;
            $adicionar = true;
            if($evento['id_setor'] == ""){
                $id_setor = "NULL";
            }else{
                $id_setor = $evento['id_setor'];
            }
            $id_funcao = $colaborador['id_funcao'];
            if($id_funcao == ''){ 
                $id_funcao = "NULL"; 
            }
            $sql_colaboradores .= "(" . $evento['id'] . 
                                    ", " .  $id_setor .
                                    ", " .  $colaborador['id'] . 
                                    ", " . $id_funcao . " )";
        }
    }
    //echo $sql_colaboradores;
    //exit;
    if($adicionar){
       mysqli_query($conexao, $sql_colaboradores) or die(mysqli_error($conexao));
    }
    
    if(isset($_POST['btn-finalizar'])){
        header("Location: erpc_gp_escala_list.php");
    }elseif(isset($_POST['btn-next'])){
        header("Location: erpc_gp_escala_add.php?idnext=" . $evento['id_crip']);
    }
     
}elseif(isset($_POST['btn-edit'])){
    
    $evento = $_POST['evento'];
    if($evento['id_cliente'] == ''){
        $evento['id_cliente'] = 'NULL';
    }
    /*
    $evento['vl_bonus'] = substr_replace("R$", "", $evento['vl_bonus']);
    echo $evento['vl_bonus'];
    exit;
    */
    $colaboradores = $evento['colaboradores'];
    
    foreach($colaboradores as $colaborador){
        
        $colaborador['vl_bonus'] = str_replace("R$", "", $colaborador['vl_bonus']);
        $vl_bonus = reais_to_decimal($colaborador['vl_bonus']);
        $vl_vale_transporte = reais_to_decimal($colaborador['vl_vale_transporte']);
        $vl_add_noturno = reais_to_decimal($colaborador['vl_add_noturno']);
        $vl_hr_extra_diferenciada = reais_to_decimal($colaborador['vl_hr_extra_diferenciada']);
        
        
        $sql = "insert into erpc_gp_escala_colaborador ( id_escala, id_colaborador, id_setor, id_funcao, vl_bonus, ds_justificativa_bonus
                                                        ,vl_adicional_vt, vl_adicional_noturno, vl_adicional_hora_extra_diferenciada
                                                        ,id_cliente, dh_entrada, dh_saida)
                        values (". $evento['id'] . "," . $colaborador['id_colaborador'] . "," . $colaborador['id_setor'] . "
                                ," . $colaborador['id_funcao'] . ", $vl_bonus, '". $colaborador['ds_justificativa'] . "', $vl_vale_transporte
                                , $vl_add_noturno, $vl_hr_extra_diferenciada, " . $evento['id_cliente'] . "
                                , str_to_date('" . $colaborador['dh_entrada'] . "', '%d/%m/%Y %H:%i') 
                                , str_to_date('" . $colaborador['dh_saida'] . "', '%d/%m/%Y %H:%i'))
                    on duplicate key update  id_escala = " . $evento['id'] . "
                                            ,id_colaborador = " . $colaborador['id_colaborador'] . "
                                            ,id_setor = " . $colaborador['id_setor'] . "
                                            ,id_funcao = " . $colaborador['id_funcao'] . "
                                            ,vl_bonus = $vl_bonus
                                            ,ds_justificativa_bonus = '" . $colaborador['ds_justificativa'] . "'
                                            ,vl_adicional_vt = $vl_vale_transporte 
                                            ,vl_adicional_noturno = $vl_add_noturno
                                            ,vl_adicional_hora_extra_diferenciada = $vl_hr_extra_diferenciada
                                            ,id_cliente = " . $evento['id_cliente'] . "
                                            ,dh_entrada = str_to_date('" . $colaborador['dh_entrada'] . "', '%d/%m/%Y %H:%i')
                                            ,dh_saida = str_to_date('" . $colaborador['dh_saida'] . "', '%d/%m/%Y %H:%i')";
        
        mysqli_query($conexao, $sql) or die(mysqli_error($conexao));
        
        header("Location: erpc_gp_escala_list.php");
    }
   
}

function reais_to_decimal($vl_em_reais){
    $vl_em_reais = str_replace("R$", "", $vl_em_reais);
    $vl_em_reais = str_replace(".", "", $vl_em_reais);
    $vl_em_reais = str_replace(",", ".", $vl_em_reais);
    return $vl_em_reais;
}

?>

 





















